# textdocs/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('', views.document_list, name='document_list'),
    path('document/new/', views.document_create, name='document_create'),
    path('document/<int:pk>/', views.document_detail, name='document_detail'),
    path('document/<int:pk>/version/<int:version_number>/', views.view_version, name='view_version'),

    path('document/<int:pk>/pdf/', views.generate_pdf, name='generate_pdf'),
    path('document/<int:pk>/version/<int:version_number>/pdf/', views.generate_version_pdf, name='generate_version_pdf'),

    path('document/<int:pk>/edit/', views.document_edit, name='document_edit'),
    path('document/<int:pk>/delete/', views.document_delete, name='document_delete'),
]